/*************************************************
*  OtBbNt\pCu@wb_
*		|[g̒`
*		֐vg^Cv
**************************************************/
#include "p24FJ64GA002.h"

#define Fosc 32
/* LCD Ports define */
#define 	LCD_TRIS 	TRISB
#define	LCD_DIO		LATBbits.LATB7
#define	LCD_CS		LATBbits.LATB4
#define  LCD_WR		LATBbits.LATB5
#define  LCD_RESET	LATAbits.LATA4
#define	LCD_RD		LATBbits.LATB6

/*****************************************
* Epson S1D15G10 Command Set
*****************************************/
#define DISON       0xAF	//
#define DISOFF      0xAE	//
#define DISNOR      0xA6	//
#define DISINV      0xA7	//
#define COMSCN      0xBB
#define DISCTL      0xCA	// Timing Control
#define SLPIN       0x95	//
#define SLPOUT      0x94	//
#define PASET       0x75	//
#define CASET       0x15	//
#define DATCTL      0xBC
#define RGBSET8     0xCE
#define RAMWR       0x5C	//
#define RAMRD       0x5D	//
#define PTLIN       0xA8	// Low Power Enable
#define PTLOUT      0xA9	// Low Power Disable
#define RMWIN       0xE0
#define RMWOUT      0xEE
#define ASCSET      0xAA
#define SCSTART     0xAB
#define OSCON       0xD1
#define OSCOFF      0xD2
#define PWRCTR      0x20
#define VOLCTR      0x81
#define VOLUP       0xD6
#define VOLDOWN     0xD7
#define TMPGRD      0x82
#define EPCTIN      0xCD
#define EPCOUT      0xCC
#define EPMWR       0xFC
#define EPMRD       0xFD
#define EPSRRD1     0x7C
#define EPSRRD2     0x7D
#define NOP         0x25	//

#define ENDPAGE     161	// Y
#define ENDCOL      131	// X
#define XChar		(short)((ENDCOL+1)/12)
#define YLine 	(short)((ENDPAGE+1)/14)

/*******************************************
*  16bit Color Difinition
*******************************************/
#define WHITE		0xFFFF
#define BLACK		0x0000
#define RED		0xF800
#define GREEN		0x07E0
#define BLUE		0x001F
#define CYAN		0x07FF
#define MAGENTA	0xF81F
#define YELLOW	0xFFE0
#define BROWN		0xA18A
#define ORANGE	0xFBC0
#define PINK		0xF998


/***  ֐vg^Cv ****/
void lcd_cmd(unsigned char cmnd);
void lcd_data(unsigned char data);
void lcd_Init(void);
void lcd_Clear(unsigned short Color);
void lcd_Pixel(short Xpos, short Ypos, unsigned short Color);
void lcd_Char(char colum, char line, unsigned char letter, unsigned short Color1, unsigned short Color2);
void lcd_Str(char colum, char line, char *s, unsigned short Color1, unsigned short Color2);
void lcd_Line(short x0, short y0, short x1, short y1, unsigned short Color);
void lcd_Scroll(unsigned short delay);
void lcd_Image(char line, const unsigned char *ptr, unsigned short Color1, unsigned Color2);
void delay_us(unsigned short time);
void delay_ms(unsigned short time);





