/********************************************************
*  J[OtBbNLCD(132162hbgjpCu
*	lcd_Init();		// 
*	lcd_Clear();		// Sʏ
*	lcd_Pixel();		// 1hbg\
*	lcd_Char();		// ANK\
*	lcd_Str();		// ANK\
*	lcd_Line();		// `
*	lcd_Image();		// C[W}\
*	lcd_Scroll();		// ʃXN[
*********************************************************/
#include "p24FJ64GA002.h"
#include "colorlcd_lib24D.h"
#include "font.h"					// ANK@5x7hbg
#include "ASCII12dot.h"			// ANK@12x12hbg
/********************************
* R}hAf[^o͊֐ 
*********************************/
void lcd_cmd(unsigned char cmnd){
	unsigned int temp;

	temp = (unsigned int)cmnd;
	LATB = (temp << 8) | (LATB & 0x00FF);
	LCD_DIO = 0;				// Command 
	LCD_CS = 0;				// CS Low
	LCD_WR = 0;				// WR out
	Nop();
	LCD_WR = 1;
	LCD_DIO = 1;
	LCD_CS = 1;				// CS High
}
void lcd_data(unsigned char data){
	unsigned int temp;

	temp = (unsigned int)data;
	LATB = (temp << 8) | (LATB & 0x00FF);
	LCD_DIO = 1;				// Data
	LCD_CS = 0;				// CS Low
	LCD_WR = 0;
	Nop();
	LCD_WR = 1;
	LCD_CS = 1;				// CS High
}

/****************************
* LCD֐  
*****************************/
void lcd_Init(void){
	delay_ms(20);
	LCD_RD = 1;
	LCD_CS = 1;				// CS High
	LCD_WR = 1;				// WR High
	LCD_RESET = 0;			// Reset LCD
	delay_ms(0x10);				// 1msec wait
	LCD_RESET = 1;			// Clear RESET
	delay_ms(25);				// 100msec wait
	lcd_cmd(SLPOUT);			// X[vEFCNAbv
	delay_ms(25);
/*
	lcd_cmd(PTLOUT);			// full power
	delay_ms(250);
	lcd_cmd(DISCTL);			// timing control
	lcd_data(0x0C);			//
	lcd_data(0x03);			// 
	lcd_data(0x00);			// 
	lcd_data(0x0D);
	lcd_data(0x03);
	lcd_data(0x28);
	lcd_data(0x00);
	delay_ms(250);	
	lcd_cmd(0xC8);
	lcd_data(0x00);			//RB mode

	lcd_cmd(DISNOR);			//
*/
	lcd_cmd(DISON);			// \I

}
/***************************
* ʏ֐
* pFw肠
****************************/
void lcd_Clear(unsigned short Color){
	short i;

	lcd_cmd(PASET);			// y[WJnIAhXZbg
	lcd_data(0);
	lcd_data(ENDPAGE);		// 162
	lcd_cmd(CASET);			// RJnAIAhXZbg
	lcd_data(0);
	lcd_data(0);
	lcd_data((unsigned char)(ENDCOL*2+1));			// 
	lcd_data((unsigned char)((ENDCOL*2+1)>>8));
	lcd_cmd(RAMWR);
	for(i=0; i<(ENDPAGE+1)*(ENDCOL+1); i++){
		lcd_data((unsigned char)(Color>>8));
		lcd_data((unsigned char)Color);
	}	
}
/***********************************
*  PsNZ\֐
*  W(0,0)-(131,131)  
***********************************/
void lcd_Pixel(short Xpos, short Ypos, unsigned short Color){

	if((Xpos<132) && (Ypos<162)){

		lcd_cmd(PASET);				// siRAW)AhXZbg
		lcd_data(Ypos);
		lcd_data(Ypos);
		lcd_cmd(CASET);				// iCOLUM)AhXZbg
		lcd_data((unsigned char)(Xpos*2));
		lcd_data((unsigned char)((Xpos*2)>>8));
		lcd_data((unsigned char)(Xpos*2));
		lcd_data((unsigned char)((Xpos*2)>>8));
		lcd_cmd(RAMWR);				// 1sNZ
		lcd_data(Color >> 8);			// 16rbgJ[
		lcd_data(Color);
	}
}
/***************************
*  `֐
***************************/
#define	abs(a)	(((a)>0) ? (a) : -(a))
void lcd_Line(short x0, short y0, short x1, short y1, unsigned short Color)
{
	short steep, t;
	short deltax, deltay, error;
	short x, y;
	short ystep;
	
	y0=ENDPAGE-y0;						// YW]
	y1=ENDPAGE-y1;
	/// ̑傫ق߂
	steep = (abs(y1 - y0) > abs(x1 - x0));
	/// A̓ւ
	if(steep){
		t = x0; x0 = y0; y0 = t;
		t = x1; x1 = y1; y1 = t;
	}
	if(x0 > x1) {
		t = x0; x0 = x1; x1 = t;
		t = y0; y0 = y1; y1 = t;
	}
	deltax = x1 - x0;						// XvZ	
	deltay = abs(y1 - y0);
	error = 0;
	y = y0;
	/// XŃXebv̐؂ւ
	if(y0 < y1) ystep = 1; else ystep = -1;
	/// _ŕ`
	for(x=x0; x<x1; x++) {
		if(steep) lcd_Pixel(y,x,Color); else lcd_Pixel(x,y,Color);
		error += deltay;
		if((error << 1) >= deltax) {
			y += ystep;
			error -= deltax;
		}
	}
}
/*****************************************
*  ANK\֐ 8x8hbg
*  132/8=16/s@162/8=20s
*  (0, 0) - (15, 19)͈̔
******************************************/
/*
void lcd_Char(char colum, char line, unsigned char letter, unsigned short Color1, unsigned short Color2){
	unsigned char j, i, Mask;

	if((colum < 16) && (line < 20)){		// ͈̓`FbN
		for(j=0; j<5; j++){				// 5hbg
			Mask = 0x80;					// ʃrbg\
			for(i=0; i<8; i++){			// c1C\
				if((Font[letter-0x20][j] & Mask) != 0)
					lcd_Pixel(colum*8+j+4, (line+1)*8-i+1, Color1);
				else
					lcd_Pixel(colum*8+j+4, (line+1)*8-i+1, Color2); //wiF	
				Mask = Mask >> 1;
			}
		}
		for(j=5; j<8; j++){
			lcd_Pixel(colum*8+j+4, (line+1)*8-i+1, Color2); //wiF
		}
	}
}
*/
/*****************************************
*  ANK\֐ 12x12hbg
*  320/12=26/s@240/14=17s
*  (0, 0) - (29, 16)͈̔
******************************************/
void lcd_Char(char colum, char line, unsigned char letter, unsigned short Color1, unsigned short Color2){
	unsigned char j, i, Mask;

	if((colum < XChar) && (line < YLine)){		// ͈̓`FbN
		// ANK\ó@3oCg2C6JԂ
		for(j=0; j<6; j++){
			// 8hbgA̕\
			Mask = 0x80;
			for(i=0; i<8; i++){
				// PCڑO8hbg\
				if((ANKFont[letter][j*3] & Mask) != 0)
					lcd_Pixel(colum*12+i, line*14+j*2, Color1);
				else
					lcd_Pixel(colum*12+i, line*14+j*2, Color2); 	//wiF
				// 2Cڌ㔼8hbg\
				if((ANKFont[letter][j*3+2] & Mask) != 0)
					lcd_Pixel(colum*12+i+4, line*14+j*2+1, Color1);
				else
					lcd_Pixel(colum*12+i+4, line*14+j*2+1, Color2); 	//wiF
				Mask = Mask >> 1;
			}
			// 4hbg\
			Mask = 0x80;
			// 1Cڌ㔼4hbg\
			for(i=0; i<4; i++){
				if((ANKFont[letter][j*3+1] & Mask) != 0)
					lcd_Pixel(colum*12+i+8, line*14+j*2, Color1);
				else
					lcd_Pixel(colum*12+i+8, line*14+j*2, Color2);	 //wiF
				Mask = Mask >> 1;
			}
			// 2CڑO4hbg\
			for(i=4; i<8; i++){
				if((ANKFont[letter][j*3+1] & Mask) != 0)
					lcd_Pixel(colum*12+i-4, line*14+j*2+1, Color1);
				else
					lcd_Pixel(colum*12+i-4, line*14+j*2+1, Color2); 	//wiF
				Mask = Mask >> 1;
			}							
		}
	}
}
/******************************
*   `֐
*   1616sŎw
******************************/
void lcd_Str(char colum, char line, char *s, unsigned short Color1, unsigned short Color2)
{
    	while (*s){
		lcd_Char(colum++, line, *s++, Color1, Color2);
		if(colum >= XChar){
			line++;
			colum = 0;
			if(line >= YLine)
				line = 0;
		}
	}
}

/*********************************************************
* C[W\֐
*@ f[^͏c8C1oCgŊi[Ă
*   128~128/8=2koCg/
*   OtBbNF(Color1)ƔwiF(Color2)w
**********************************************************/
void lcd_Image(char line, const unsigned char *ptr, unsigned short Color1, unsigned Color2)
{
	unsigned char Mask;
	short i, vline, colum;


	for(vline=line; vline<line+8; vline++){				// Ŝ8s~8=64C
		for(colum=0; colum<128; colum++){		// 128hbgƂ
			Mask = 0x01;						// ʃrbg㑤
			for(i=0; i<8; i++){				// 1oCg
				if(*ptr & Mask)				// rbg`FbN
					lcd_Pixel(colum+2, vline*8+i+1, Color1);
				else
					lcd_Pixel(colum+2,vline*8+i+1,  Color2);					
				Mask = Mask << 1;				// rbgʒuVtg
			} 
			ptr++;							// ̃f[^
		}
	}
}
/********************************************
* XN[֐
* Ŝꊇ㑤ɃXN[
********************************************/	  
void lcd_Scroll(unsigned short delay){
	short i;
	
	lcd_cmd(ASCSET);			// XN[͈͎w
	lcd_data(0);				// JnubN
	lcd_data(0x40);			// IubN
	lcd_data(64);				// ubN
	lcd_data(0x03);			// S̑Ώ
	for(i=0; i<=64; i++){		//
		lcd_cmd(SCSTART);		// XN[JnubNw
		lcd_data(i);
		delay_ms(delay);		// XN[
	}
}
/**********************************
*  [vx֐@usecP
**********************************/
void delay_us(unsigned short usec){
	unsigned short i, Max;
	
	Max = usec * Fosc/14;
	for(i=0; i<Max; i++)
	{	}
}
/**********************************
*  [vx֐@msecP
**********************************/		 
void delay_ms(unsigned short msec){
	unsigned short i;
	
	for(i=0; i<msec; i++)
		delay_us(1000);
}
